package core.repositories.timemanager;

import core.entities.timemanager.AbstractSchedule;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ScheduleRepository extends CrudRepository<AbstractSchedule, Long> {

    @Query(value = "SELECT s FROM AbstractSchedule s WHERE s.task.taskgroup.user.username = ?1")
    List<AbstractSchedule> findAllByUsername(String username);
}
